B 站 · 搜索

搜索视频

传入关键词,返回匹配的视频,含标题、作者、播放量、点赞、收藏、评论、弹幕数、时长、分区和标签。

POST/v1/bilibili/search

$0.00736每条

1,000 条
≈ $7.36
每页(20 条)最低
$0.003125

只能用充值余额能用 cursor 翻页

在控制台里试不登录看一次回放

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/bilibili/search" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keyword":"原神"}'

返回什么

这是 2026-11-13 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-13
{
  "data": [
    {
      "type": "video",
      "bvid": "BV1z4WV6vEfB",
      "aid": 117593033739628,
      "url": "https://www.bilibili.com/video/BV1z4W…",
      "title": "开箱一台Action6,在大疆Action7发售前…",
      "description": "双十一活动期间在pdd百亿补贴购入,看到…",
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorUrl": "<masked>",
      "authorAvatar": "<masked>",
      "coverUrl": "https://i0.hdslb.com/bfs/archive/e2e9…",
      "durationSeconds": 465,
      "publishedAt": "2026-11-11T10:00:00Z",
      "views": 2043,
      "likes": 13,
      "coins": null,
      "favorites": 5,
      "shares": null,
      "comments": 32,
      "danmaku": 0,
      "category": "数码",
      "tags": [
        "开箱",
        "相机",
        "摄影"
      ]
    },
    {
      "type": "video",
      "bvid": "BV17jWN6gEro",
      "aid": 117587664964160,
      "url": "https://www.bilibili.com/video/BV17jW…",
      "title": "大疆 Osmo Action 7 ,GoPro 杀手终于来…",
      "description": "本翻译视频仅作交流学习。\n祝大家学习愉…",
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorUrl": "<masked>",
      "authorAvatar": "<masked>",
      "coverUrl": "https://i2.hdslb.com/bfs/archive/14d2…",
      "durationSeconds": 411,
      "publishedAt": "2026-11-11T01:00:00Z",
      "views": 3252,
      "likes": 8,
      "coins": null,
      "favorites": 3,
      "shares": null,
      "comments": 4,
      "danmaku": 17,
      "category": "数码",
      "tags": [
        "大疆 Osmo Action 7",
        "大疆 Osmo Action 7 Pro",
        "GoPro"
      ]
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.014720",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 22

字段类型示例值
typestringvideo
bvidstringBV1z4WV6vEfB
aidnumber117593033739628
urlstringhttps://www.bilibili.com/video/BV1z4WV6vEfB
titlestring开箱一台Action6,在大疆Action7发售前夜
descriptionstring双十一活动期间在pdd百亿补贴购入,看到是我能接受的价格就直接买了,运动相机最重要的是能拍的到,而且受限于体积,我猜ac…
authorNamestring<masked>
authorIdstring<masked>
authorUrlstring<masked>
authorAvatarstring<masked>
coverUrlstringhttps://i0.hdslb.com/bfs/archive/e2e99e7000a0037095378c5a0d5…
durationSecondsnumber465
publishedAtstring2026-11-11T10:00:00Z
viewsnumber2043
likesnumber13
coinsnullnull
favoritesnumber5
sharesnullnull
commentsnumber32
danmakunumber0
categorystring数码
tagsarray["开箱","相机","摄影"]

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
keywordstring是搜索关键词,中文关键词效果最好。原神

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"keyword":"原神"};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/bilibili/search", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 20 条,每页最低收费 $0.003125;要 100 条的请求会取 5 页。

  • 1 条:最多 $0.00736
  • 20 条:最多 $0.1472
  • 100 条:最多 $0.736

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「搜索视频」要传哪些参数?

必填:keyword。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 20 条,要 100 条时一次请求取 5 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00736。每页最低收费 $0.003125:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.736。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。